#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const service_common_1 = require("@crosslab/service-common");
const app_1 = __importDefault(require("./app"));
const config_1 = require("./config");
const datasource_1 = require("./database/datasource");
const opa_1 = require("./opa");
const openfga_1 = require("./openfga");
async function initialize() {
    await datasource_1.ApplicationDataSource.initialize();
    await (0, opa_1.opa_init)();
    await (0, openfga_1.openfga_init)();
    await (0, opa_1.opa_set_jwt_secret)(config_1.config.JWT_SECRET);
    app_1.default.listen(config_1.config.PORT);
    service_common_1.logger.log('info', 'Authorization Service started successfully');
}
initialize();
//# sourceMappingURL=index.js.map